import { nodeMiddle, drawLineWithArc } from "./utils";
describe("test nodeMiddle function", function () {
    var node = { col: 1, row: 1, id: 1 };
    var margin = { x: 5, y: 5 };
    test("top", function () {
        var middle = nodeMiddle(node, 0, "top", 50, 50, 30, 30, margin, 5);
        expect(middle).toEqual([70, 55]);
    });
    test("left", function () {
        var middle = nodeMiddle(node, 0, "left", 50, 50, 30, 30, margin, 5);
        expect(middle).toEqual([55, 70]);
    });
    test("bottom", function () {
        var middle = nodeMiddle(node, 0, "bottom", 50, 50, 30, 30, margin, 5);
        expect(middle).toEqual([70, 85]);
    });
    test("right", function () {
        var middle = nodeMiddle(node, 0, "right", 50, 50, 30, 30, margin, 5);
        expect(middle).toEqual([85, 70]);
    });
});
describe("test drawLineWithArc function", function () {
    // 顺时针测试
    var pathPoints = [
        [0, 0],
        [0, 10],
        [20, 10],
        [20, 0],
    ];
    // 逆时针测试
    var pathPoints2 = [
        [0, 0],
        [0, 10],
        [20, 10],
        [20, 20],
    ];
    test("2 points", function () {
        var arc = drawLineWithArc(pathPoints.slice(0, 2));
        expect(arc).toBe("M0 0 L0 10");
    });
    test("clockwise 4 points", function () {
        var arc = drawLineWithArc(pathPoints);
        expect(arc).toBe("M0 0L0 5A5 5 0 0 0 5 10L15 10A5 5 0 0 0 20 5L20 0");
    });
    test("counterclockwise 4 points", function () {
        var arc = drawLineWithArc(pathPoints2);
        expect(arc).toBe("M0 0L0 5A5 5 0 0 0 5 10L15 10A5 5 0 0 1 20 15L20 20");
    });
});
